Subject: Re: bug#14729: 24.3.50; Isearch oddity

From: Juri Linkov <[email-masked]>
Date: Fri, 28 Jun 2013 02:44:38 +0300

> Recipe from "emacs -Q":
>   M-< b u f C-s C-s f e r

I guess this key sequence should be rather:

    M-< C-s b u f C-s C-s f e r

Is this what you meant?

> After that, the echo area indicates that, in the current Isearch, I'm
> looking for "buffer", and I've found the "buf" part, but not the
> remaining "fer".
>
> That makes no sense, because that cannot happen in the current buffer,
> where every instance of "buf" is followed by a "fer".

This is an interesting state of the search.  The search is failed,
so it assumes that adding more characters to the failed search should
leave the search in the failed state.  Isn't this logically correct?
What do you expect it to do in this case?